org.apache.hive.jdbc

## Class Utils.JdbcConnectionParams

- java.lang.Object
- - org.apache.hive.jdbc.Utils.JdbcConnectionParams

Enclosing class:
  Utils

    public static class Utils.JdbcConnectionParams
    extends Object

### Field Summary

Fields
`static String` `ANONYMOUS_PASSWD`
`static String` `ANONYMOUS_USER`
`static String` `AUTH_BROWSER_DISABLE_SSL_VALIDATION`
`static String` `AUTH_BROWSER_RESPONSE_PORT`
`static String` `AUTH_BROWSER_RESPONSE_TIMEOUT_SECS`
`static String` `AUTH_JWT_ENV`
`static String` `AUTH_KERBEROS_AUTH_TYPE`
`static String` `AUTH_KERBEROS_AUTH_TYPE_FROM_SUBJECT`
`static String` `AUTH_PASSWD`
`static String` `AUTH_PRINCIPAL`
`static String` `AUTH_QOP`
`static String` `AUTH_QOP_DEPRECATED`
`static String` `AUTH_SIMPLE`
`static String` `AUTH_SSO_BROWSER_MODE`
`static String` `AUTH_SSO_TOKEN_MODE`
`static String` `AUTH_TOKEN`
`static String` `AUTH_TYPE`
`static String` `AUTH_TYPE_JWT`
`static String` `AUTH_TYPE_JWT_KEY`
`static String` `AUTH_USER`
`static String` `HIVE_CONF_PREFIX`
`static String` `HIVE_DEFAULT_NULLS_LAST_KEY`
`static String` `HTTP_PATH`
`static String` `PROPERTY_DRIVER`
`static String` `PROPERTY_URL`
`static String` `RETRIES`
`static String` `RETRY_INTERVAL`
`static String` `SERVICE_DISCOVERY_MODE`
`static String` `SERVICE_DISCOVERY_MODE_ZOOKEEPER`
`static String` `SERVICE_DISCOVERY_MODE_ZOOKEEPER_HA`
`static String` `SOCKET_TIMEOUT`
`static String` `SSL_TRUST_MANAGER_FACTORY_ALGORITHM`
`static String` `SSL_TRUST_STORE`
`static String` `SSL_TRUST_STORE_PASSWORD`
`static String` `SSL_TRUST_STORE_TYPE`
`static String` `TRANSPORT_MODE`
`static String` `USE_SSL`
`static String` `ZOOKEEPER_KEYSTORE_LOCATION`
`static String` `ZOOKEEPER_KEYSTORE_PASSWORD`
`static String` `ZOOKEEPER_NAMESPACE`
`static String` `ZOOKEEPER_SSL_ENABLE`
`static String` `ZOOKEEPER_TRUSTSTORE_LOCATION`
`static String` `ZOOKEEPER_TRUSTSTORE_PASSWORD`

### Constructor Summary

Constructors
Constructor and Description
`JdbcConnectionParams()`
`JdbcConnectionParams(Utils.JdbcConnectionParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCurrentHostZnodePath()`
`String` `getDbName()`
`Map<String,String>` `getHiveConfs()`
`Map<String,String>` `getHiveVars()`
`String` `getHost()`
`String` `getJdbcUriString()`
`int` `getPort()`
`List<String>` `getRejectedHostZnodePaths()`
`Map<String,String>` `getSessionVars()`
`String` `getSuppliedURLAuthority()`
`String` `getZooKeeperEnsemble()`
`String` `getZookeeperKeyStoreLocation()`
`String` `getZookeeperKeyStorePassword()`
`String` `getZookeeperTrustStoreLocation()`
`String` `getZookeeperTrustStorePassword()`
`boolean` `isEmbeddedMode()`
`boolean` `isZooKeeperSslEnabled()`
`void` `setCurrentHostZnodePath(String currentHostZnodePath)`
`void` `setDbName(String dbName)`
`void` `setEmbeddedMode(boolean embeddedMode)`
`void` `setHiveConfs(Map<String,String> hiveConfs)`
`void` `setHiveVars(Map<String,String> hiveVars)`
`void` `setHost(String host)`
`void` `setJdbcUriString(String jdbcUriString)`
`void` `setPort(int port)`
`void` `setSessionVars(Map<String,String> sessionVars)`
`void` `setSuppliedURLAuthority(String suppliedURLAuthority)`
`void` `setZooKeeperEnsemble(String zooKeeperEnsemble)`
`void` `setZookeeperKeyStoreLocation(String zookeeperKeyStoreLocation)`
`void` `setZookeeperKeyStorePassword(String zookeeperKeyStorePassword)`
`void` `setZooKeeperSslEnabled(boolean zooKeeperSslEnabled)`
`void` `setZookeeperTrustStoreLocation(String zookeeperTrustStoreLocation)`
`void` `setZookeeperTrustStorePassword(String zookeeperTrustStorePassword)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RETRIES

    public static final String RETRIES

See Also:
  Constant Field Values

#### RETRY_INTERVAL

    public static final String RETRY_INTERVAL

See Also:
  Constant Field Values

#### AUTH_TYPE

    public static final String AUTH_TYPE

See Also:
  Constant Field Values

#### AUTH_QOP_DEPRECATED

    public static final String AUTH_QOP_DEPRECATED

See Also:
  Constant Field Values

#### AUTH_QOP

    public static final String AUTH_QOP

See Also:
  Constant Field Values

#### AUTH_SIMPLE

    public static final String AUTH_SIMPLE

See Also:
  Constant Field Values

#### AUTH_TOKEN

    public static final String AUTH_TOKEN

See Also:
  Constant Field Values

#### AUTH_USER

    public static final String AUTH_USER

See Also:
  Constant Field Values

#### AUTH_PRINCIPAL

    public static final String AUTH_PRINCIPAL

See Also:
  Constant Field Values

#### AUTH_PASSWD

    public static final String AUTH_PASSWD

See Also:
  Constant Field Values

#### AUTH_KERBEROS_AUTH_TYPE

    public static final String AUTH_KERBEROS_AUTH_TYPE

See Also:
  Constant Field Values

#### AUTH_KERBEROS_AUTH_TYPE_FROM_SUBJECT

    public static final String AUTH_KERBEROS_AUTH_TYPE_FROM_SUBJECT

See Also:
  Constant Field Values

#### AUTH_TYPE_JWT

    public static final String AUTH_TYPE_JWT

See Also:
  Constant Field Values

#### AUTH_TYPE_JWT_KEY

    public static final String AUTH_TYPE_JWT_KEY

See Also:
  Constant Field Values

#### AUTH_JWT_ENV

    public static final String AUTH_JWT_ENV

See Also:
  Constant Field Values

#### AUTH_SSO_BROWSER_MODE

    public static final String AUTH_SSO_BROWSER_MODE

See Also:
  Constant Field Values

#### AUTH_SSO_TOKEN_MODE

    public static final String AUTH_SSO_TOKEN_MODE

See Also:
  Constant Field Values

#### AUTH_BROWSER_RESPONSE_PORT

    public static final String AUTH_BROWSER_RESPONSE_PORT

See Also:
  Constant Field Values

#### AUTH_BROWSER_RESPONSE_TIMEOUT_SECS

    public static final String AUTH_BROWSER_RESPONSE_TIMEOUT_SECS

See Also:
  Constant Field Values

#### AUTH_BROWSER_DISABLE_SSL_VALIDATION

    public static final String AUTH_BROWSER_DISABLE_SSL_VALIDATION

See Also:
  Constant Field Values

#### ANONYMOUS_USER

    public static final String ANONYMOUS_USER

See Also:
  Constant Field Values

#### ANONYMOUS_PASSWD

    public static final String ANONYMOUS_PASSWD

See Also:
  Constant Field Values

#### USE_SSL

    public static final String USE_SSL

See Also:
  Constant Field Values

#### SSL_TRUST_STORE

    public static final String SSL_TRUST_STORE

See Also:
  Constant Field Values

#### SSL_TRUST_STORE_PASSWORD

    public static final String SSL_TRUST_STORE_PASSWORD

See Also:
  Constant Field Values

#### SSL_TRUST_STORE_TYPE

    public static final String SSL_TRUST_STORE_TYPE

See Also:
  Constant Field Values

#### SSL_TRUST_MANAGER_FACTORY_ALGORITHM

    public static final String SSL_TRUST_MANAGER_FACTORY_ALGORITHM

See Also:
  Constant Field Values

#### TRANSPORT_MODE

    public static final String TRANSPORT_MODE

See Also:
  Constant Field Values

#### HTTP_PATH

    public static final String HTTP_PATH

See Also:
  Constant Field Values

#### SERVICE_DISCOVERY_MODE

    public static final String SERVICE_DISCOVERY_MODE

See Also:
  Constant Field Values

#### PROPERTY_DRIVER

    public static final String PROPERTY_DRIVER

See Also:
  Constant Field Values

#### PROPERTY_URL

    public static final String PROPERTY_URL

See Also:
  Constant Field Values

#### SERVICE_DISCOVERY_MODE_ZOOKEEPER

    public static final String SERVICE_DISCOVERY_MODE_ZOOKEEPER

See Also:
  Constant Field Values

#### SERVICE_DISCOVERY_MODE_ZOOKEEPER_HA

    public static final String SERVICE_DISCOVERY_MODE_ZOOKEEPER_HA

See Also:
  Constant Field Values

#### ZOOKEEPER_NAMESPACE

    public static final String ZOOKEEPER_NAMESPACE

See Also:
  Constant Field Values

#### ZOOKEEPER_SSL_ENABLE

    public static final String ZOOKEEPER_SSL_ENABLE

See Also:
  Constant Field Values

#### ZOOKEEPER_KEYSTORE_LOCATION

    public static final String ZOOKEEPER_KEYSTORE_LOCATION

See Also:
  Constant Field Values

#### ZOOKEEPER_KEYSTORE_PASSWORD

    public static final String ZOOKEEPER_KEYSTORE_PASSWORD

See Also:
  Constant Field Values

#### ZOOKEEPER_TRUSTSTORE_LOCATION

    public static final String ZOOKEEPER_TRUSTSTORE_LOCATION

See Also:
  Constant Field Values

#### ZOOKEEPER_TRUSTSTORE_PASSWORD

    public static final String ZOOKEEPER_TRUSTSTORE_PASSWORD

See Also:
  Constant Field Values

#### SOCKET_TIMEOUT

    public static final String SOCKET_TIMEOUT

See Also:
  Constant Field Values

#### HIVE_CONF_PREFIX

    public static final String HIVE_CONF_PREFIX

See Also:
  Constant Field Values

#### HIVE_DEFAULT_NULLS_LAST_KEY

    public static final String HIVE_DEFAULT_NULLS_LAST_KEY

### Constructor Detail

#### JdbcConnectionParams

    public JdbcConnectionParams()

#### JdbcConnectionParams

    public JdbcConnectionParams(Utils.JdbcConnectionParams params)

### Method Detail

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### getJdbcUriString

    public String getJdbcUriString()

#### getDbName

    public String getDbName()

#### getHiveConfs

    public Map<String,String> getHiveConfs()

#### getHiveVars

    public Map<String,String> getHiveVars()

#### isEmbeddedMode

    public boolean isEmbeddedMode()

#### getSessionVars

    public Map<String,String> getSessionVars()

#### getSuppliedURLAuthority

    public String getSuppliedURLAuthority()

#### getZooKeeperEnsemble

    public String getZooKeeperEnsemble()

#### isZooKeeperSslEnabled

    public boolean isZooKeeperSslEnabled()

#### getZookeeperKeyStoreLocation

    public String getZookeeperKeyStoreLocation()

#### getZookeeperKeyStorePassword

    public String getZookeeperKeyStorePassword()

#### getZookeeperTrustStoreLocation

    public String getZookeeperTrustStoreLocation()

#### getZookeeperTrustStorePassword

    public String getZookeeperTrustStorePassword()

#### getRejectedHostZnodePaths

    public List<String> getRejectedHostZnodePaths()

#### getCurrentHostZnodePath

    public String getCurrentHostZnodePath()

#### setHost

    public void setHost(String host)

#### setPort

    public void setPort(int port)

#### setJdbcUriString

    public void setJdbcUriString(String jdbcUriString)

#### setDbName

    public void setDbName(String dbName)

#### setHiveConfs

    public void setHiveConfs(Map<String,String> hiveConfs)

#### setHiveVars

    public void setHiveVars(Map<String,String> hiveVars)

#### setEmbeddedMode

    public void setEmbeddedMode(boolean embeddedMode)

#### setSessionVars

    public void setSessionVars(Map<String,String> sessionVars)

#### setSuppliedURLAuthority

    public void setSuppliedURLAuthority(String suppliedURLAuthority)

#### setZooKeeperEnsemble

    public void setZooKeeperEnsemble(String zooKeeperEnsemble)

#### setZooKeeperSslEnabled

    public void setZooKeeperSslEnabled(boolean zooKeeperSslEnabled)

#### setZookeeperKeyStoreLocation

    public void setZookeeperKeyStoreLocation(String zookeeperKeyStoreLocation)

#### setZookeeperKeyStorePassword

    public void setZookeeperKeyStorePassword(String zookeeperKeyStorePassword)

#### setZookeeperTrustStoreLocation

    public void setZookeeperTrustStoreLocation(String zookeeperTrustStoreLocation)

#### setZookeeperTrustStorePassword

    public void setZookeeperTrustStorePassword(String zookeeperTrustStorePassword)

#### setCurrentHostZnodePath

    public void setCurrentHostZnodePath(String currentHostZnodePath)